Subject: [I18ndir] Will there be an I18N directorate meeting at IETF 108?

From: Nico Williams <[email-masked]>
Date: Tue, 23 Jun 2020 11:00:23 -0500

See subject.  Right now the agenda is bereft and there's been no mention
here.  (Also, the IETFers iOS app crashes on launch.)

Nico
--

---

From: John C Klensin <[email-masked]>
Date: Tue, 23 Jun 2020 14:41:40 -0400

Obviously the more fundamental question is "is there such a
thing as an I18N Directorate, or is there, at best, a review
team"?

I think it is fairly clear that the latter does not need to meet.

   john

--On Tuesday, June 23, 2020 11:00 -0500 Nico Williams
<[email-masked]> wrote:

> See subject.  Right now the agenda is bereft and there's been
> no mention here.  (Also, the IETFers iOS app crashes on
> launch.)
> 
> Nico
> --

---

From: Nico Williams <[email-masked]>
Date: Tue, 23 Jun 2020 14:15:03 -0500

> thing as an I18N Directorate, or is there, at best, a review

I didn't think there was any doubt about the existence of an I18N
Directorate.  I don't understand the distinction between "directorate"
and "review team".  The security directorate is, really, just a "review
team", yet they meet.

> I think it is fairly clear that the latter does not need to meet.

The security directorate normally meets at lunchtime on Tuesdays.

IMO it'd be useful to be able to have a regular meeting of this
directorate.

Nico
--

---

From: Nico Williams <[email-masked]>
Date: Tue, 23 Jun 2020 14:22:31 -0500

I should add that I would like to discuss the filesystem I18N matter,
and others might like to discuss updates to IDNA or whatever.  There's
plenty of fodder for an actual meeting of this group.

---

From: Asmus Freytag <[email-masked]>
Date: Tue, 23 Jun 2020 15:17:37 -0700

> plenty of fodder for an actual meeting of this group.
Are you talking about a remote meeting or an in-person meeting?

A./

---

From: Nico Williams <[email-masked]>
Date: Tue, 23 Jun 2020 17:31:35 -0500

> Are you talking about a remote meeting or an in-person meeting?

"Yes".  That is, IETF 108 is not in-person, but if it were, then I'd be
asking about an in-person meeting, and since it's not, I'm asking about
a remote meeting.

In the context of an IETF meeting that is all-remote, the question of
whether a WG or directorate would meet at that IETF really means whether
we'd have a remote meeting scheduled in the sort of time slots you'd
expect for that IETF meeting.  Since there is no published agenda yet,
I don't know what time slots would be involved, but I assume lunch-time
in CEST or something like that, on some day of the week.

Nico
--

---

From: Asmus Freytag <[email-masked]>
Date: Tue, 23 Jun 2020 15:35:55 -0700

> in CEST or something like that, on some day of the week.

I'm fine, in principle, w/ attending a remote meeting during a time slot
that's within reason for the Pacific Time zone. (I'm unlikely to ever attend
an IETF meeting in person unless it coincides in location with some other
travel.)

A./

---

From: John C Klensin <[email-masked]>
Date: Wed, 24 Jun 2020 00:05:31 -0400

--On Tuesday, June 23, 2020 14:15 -0500 Nico Williams
<[email-masked]> wrote:

> I didn't think there was any doubt about the existence of an
> I18N Directorate.  I don't understand the distinction between
> "directorate" and "review team".  The security directorate is,
> really, just a "review team", yet they meet.

Let me try to explain the distinction because it is important to
the history of the directorate and the purposes for which it was
requested and, presumably, organized.  Traditionally, a
"directorate" (or sometimes an "Area advisory group") in the
IETF was an advisory body, normally for an area.  Its membership
was expected to show a high level of subject matter expertise
(both individually and collectively and expertise, not just
opinions) and to work together.  Strategic issues, including
what work areas or documents should be developed and scoped,
were the primary focus, with document reviews being secondary
_and_ generally being considered a collaborative effort.  And
they started to develop precisely because, in a number of Areas,
the expectation that the ADs would be experts on all topics
affecting that Area was unrealistic.  When Patrik and I
submitted the BOF that evolved into this group, what we had in
mind was something with that orientation and at least that
strong, possibly with a role of advising the whole IETF and not
just the Apps/ART ADs.  

Since you used the security area directorate as an example, my
recollection is that it came into being precisely to provide
perspective and advice on the ADs on topics in which they were
not fully expert.  One implication of that expectation about
expertise is that, if a topic were brought to that group that
was clearly related to network security, but no one in the group
had a clue, it would imply either that the AD(s) had done a bad
job of selecting and approving members or that the Security Area
was in deep trouble.  I18ndir is different in another way: while
I suppose it includes the chairs of every WG in the ART area
that is focused in i18n issues -- in whole-area directorates,
that facilitates detection and avoidance of conflicts about the
work of different WGs--  the number of such WGs in ART has been,
I believe, zero since PRECIS wrapped up.   If secdir has really
evolved into a review team, I know several prior security ADs
who would be disappointed, and maybe quite concerned.

By contrast, a review team is typically just that: a group of
individuals that do reviews on a volunteer and/or rotating
basis.  One would hope the reviews would be appropriately
expert, but, if you have read a significant number of
review-team reviews in the last few years, you will have seen
many in which the reviewer does not understand the subject
matter of the document being reviewed.  The better (IMO) of
those reviews are clear about what they don't know and proceed
to do what they understand, which is to pick general nits.
Others do not acknowledge (or even understand) what they don't
know and therefore declare a document ready to go when what they
actually mean is that, if there were problems, they aren't
qualified to spot them. 

> The security directorate normally meets at lunchtime on

It does not seem to me that "they do it, therefore we should" is
a particularly good reason, especially because they are
area-wide and presumably have WGs to coordinate and we don't.

And, fwiw, the reason for my "is this a directorate, an extended
design team, or just a review team" question is that I have been
posing questions about how to get the supposed directorate to
engage on a number of strategic issues since around the time we
put the "IANA IDNA Tables" issues to rest and especially since
we got what is now RFC 8753 through the IESG in, IIR, early
November.  Of particular interest to Asmus (since he responded
to your suggestion) might be a discussion of the IESG comments
on 5891bis, how to respond to them, and whether the directorate
(not just me or Asmus and me) are willing to defend the (still
evolving and as yet unposted or even sent to Asmus to check
draft-klensin-idna-5891bis-06).  I've written Pete about it
several times and Barry and Pete slightly fewer times, and have
not gotten an actionable response in months.  Partial questions
sent to the list have not gotten much more response.

So, if there is a plan to get things moving again (and moving in
the directorate direction), perhaps with a new co-chair or two,
and a meeting was part of that plan, I'd be completely in favor
of a meeting.  However.. if nothing else, meeting time, even for
all-remote meetings, is not free, especially with time zone
issues, and unless there is an agenda and some indications that
a meeting would be productive...

And that brings me to your follow-up note:

> I should add that I would like to discuss the filesystem I18N
> matter, and others might like to discuss updates to IDNA or
> whatever.  There's plenty of fodder for an actual meeting of
> this group.

I've been away from operating system and filesystem design work
since the middle of the 1970s, but was close enough to it before
that to have been involved in and understood the analysis and
tradeoffs that went into FTP as well as the difference between
the TENEX, TOPS-20, ITS, CP/CMS, and Multics and Unix file
system designs and others that contributed both to the FTP
design and the "if you want to work with our systems you need to
simulate them" attitude that influenced the early design of NFS
(and which led directly to some of the issues that you are now
having with later versions).  But I still remember enough to be
quite confident that your comments so far have vastly
oversimplified the issues especially when one remembers that,
when faced with a widely-deployed and established base, the
question of how one could get people to adopt a new model and
replace what they have already is at least as important as how
wonderful that model would have been if people had thought of it
and been convinced in 1965 (a date not chosen by accident).
While a new design today could much more easily accommodate
Unicode than designs that assume single-octet characters, from
an actual i18n standpoint, those are the easy problems and there
are harder ones as soon as one starts to compare strings [1].  

But you have been around the IETF long enough that a discussion
of a new idea or proposal based on a few comments in an email
message, or a presentation at a meeting, rarely if ever goes
anywhere useful.  If you want to promote your file system ideas,
do what has been explained in almost every Newcomer's
Orientation for decades: write an I-D that explains them (and,
ideally, the advantages and tradeoffs involved) in sufficient
detail that they can be evaluated by others.  Then try to get
someone interested.  The i18n directorate is clearly not the
right group.  If you are convinced it is really an ART matter,
see if DISPATCH wants to play.  It seems to me more likely that
you should be having a discussion with the Internet area.

In the meantime, if you would like something useful to discuss
on this list, or maybe in a meeting, it would be how to get the
NFS group the review they asked for --an analysis of how and why
the document does and does not work from an i18n perspective and
at least hints about how the issues might be addressed -- rather
than (or even in addition to) an explanation about how the would
would be a better place if their entire file system model,
multiple implementations, and a widely-deployed base were
replaced with new ideas.

As to "others might like to discuss updates to IDNA or
whatever", the evidence --to my huge frustration-- is to the
contrary.

best,
   john

[1] Am I the only one who has noticed that, as far as the RFC
index and the IETF datatracker are concerned, there appear to be
two rather separate people with similar-sounding names.  One of
them is named Patrik Faltstrom and the other is named Patrik
Fältström and a search for one doesn't find the other.  Is
that what is wanted?  Did anyone think to ask either the i18n
directorate or, for that matter, Patrik?  I assume other pairs
of people, like Martin Dürst and Martin Duerst, get to look
forward to similar futures.  Now that, IMO, would be an
interesting discussion for the directorate but iff someone with
the ability and willingness to change things were listening.

---

From: Nico Williams <[email-masked]>
Date: Wed, 24 Jun 2020 00:26:56 -0500

On Wed, Jun 24, 2020 at 12:05:31AM -0400, John C Klensin wrote:
> [...]

All very well and good, your explanation of the distinction between
directorate and review team, but you _did_ question the nature of this

> >> thing as an I18N Directorate, or is there, at best, a review

That seems like a simple matter to settle.  If we can't, then it might
be best to disband the group!

I don't recall this being called the I18N review team.  The very mailing
list says "dir" in its address, as in "directorate", and the mailing
list subscription welcome message called it the "Internationalization
Directorate", the datatracker about page for it calls it the same, and
goes further to say that it is a "specialized advisory group".

Surely that is sufficient evidence that this group is a directorate.

"Review" is, at any rate, something that directorates do, and that this
one is explicitly tasked with doing.  (Even review teams might meet from
time to time, though since this is a directorate, whether review teams
meet is probably not germane.)

Thus the distinction between the two types of groups does not seem
pertinent to my question about whether there will be a meeting "at" IETF
108.

I am not asking for this group to do anything that others like it don't
do.  Directorates certainly may meet, since we know some do.  Indeed,
I'm not even asking _that_ this directorate meet.  I'm asking _if_ it
will.

You suggested that I should "write an I-D that ...".  Yes, well, I have.
I've not submitted it _yet_, though earlier I did link the GH repository
where I keep the source and rendered output.  I am, of course, willing
to submit it -- indeed, I plan to.  The thought occurred, you see, that
if there was to be a meeting at IETF 108, then I might aim for it, and
if not, then maybe the next one.

Thus my question.  Mine was a simple, polite, and fair question -- one
with a simple answer, and surely someone must know the answer to it:
will this directorate meet "at" IETF 108?

(To be sure, my question does imply a desire that the group meet, but
that's only implied.  If the group does not intend to meet, then that
will be that.)

That question did not need to be non-answered the way you did.  Nor did
you have to initiate a competition over who has more expertise on any
one matter.  If we meet, there will surely be plenty of time for that,
if you insist on it.

At any rate, the datatracker even shows that this directorate has two
chairs; perhaps one or both might have something to say about the
character of the group (since you questioned it), and/or even whether it
should or will meet.  If the directorate will meet, I'll be sure to
attend, and I hope you will as well.

Cheers,

Nico
--

---

From: John C Klensin <[email-masked]>
Date: Wed, 24 Jun 2020 02:13:13 -0400

--On Wednesday, June 24, 2020 00:26 -0500 Nico Williams
<[email-masked]> wrote:

>> Let me try to explain the distinction because it is important
>> to [...]
> 
> All very well and good, your explanation of the distinction
> between directorate and review team, but you _did_ question
> the nature of this group earlier:
> 
>> >> thing as an I18N Directorate, or is there, at best, a
>> >> review team"?
> 
> That seems like a simple matter to settle.  If we can't, then
> it might be best to disband the group!
> 
> I don't recall this being called the I18N review team.  The
> very mailing list says "dir" in its address, as in
> "directorate", and the mailing list subscription welcome
> message called it the "Internationalization Directorate", the
> datatracker about page for it calls it the same, and goes
> further to say that it is a "specialized advisory group".
> 

Except that "directorate" in the sense above is not (absent one
hypothesis) what is actually happening; certainly not since the
IANA tables issues were sorted out and draft-faltstrom-unicode12
was posted on March 11.  So we (at least you and I) have
agreement on what was intended but we have, again absent that
hypothesis), evidence that whatever is going on more closely
resembles "review team" than "directorate".  The difference is
important because it may affect how much energy some of us are
willing to invest in this.

That hypothesis is that either generally or in terms of
priorities relative to everything else that is going on, neither
Pete (as the nominal remaining co-chair) nor the ADs care
whether the groups in functional as a directorate or not.  If
they don't care or can't give it any priority, then the answer
should probably be either "disband" (as you suggest) or
"reorganize as a review team".
 
> "Review" is, at any rate, something that directorates do, and
> that this one is explicitly tasked with doing.  (Even review
> teams might meet from time to time, though since this is a
> directorate, whether review teams meet is probably not
> germane.)

There are two problems/distinctions.  One is that, normally,
when a directorate is asked to perform a review (perhaps
especially an early-stage one that is actually a request for
advice), the response is expected to be generally consistent, at
a very high level at least, with what would be the rough
consensus of experts in the field or the consensus of the
directorate, which better be much the same thing.  It is the
difference between an individual review by a person who is a
member of some team or on some mailing list and a group expert
review.  Pragmatically, if an author or WG looks for advice,
they have to be able to rely on that advice, at least to the
extent of not finding themselves alone and attacked from all
sides (including by directorate members) when they follow the
advice and the document goes into IETF LC.  Otherwise, rather
than asking the directorate for a review and advice, they would
be far better off, e.g., dropping Marc a note as a former PRECIS
chair and asking for his experience and opinion.   The other is
that Pete has told me (and I think some others) that he doesn't
want me/us to spend time on reviews but to instead focus on more
basic issues as core I18n protocols and quality control within
the directorate.  But I don't know how to do those things
without support from Pete and the ADs and a clear understanding
that this really is a directorate and how it is supposed to
work.  If I am not to be able to do those things, then either I
need different advice/instructions or we need to recognize that
this is a review team producing individual reviews and I need to
find a different way to get frustrated.

> Thus the distinction between the two types of groups does not
> seem pertinent to my question about whether there will be a
> meeting "at" IETF 108.
> 
> I am not asking for this group to do anything that others like
> it don't do.  Directorates certainly may meet, since we know
> some do.  Indeed, I'm not even asking _that_ this directorate
> meet.  I'm asking _if_ it will.

Ok.  And I am offering an opinion that, at least without some
work getting done and decisions getting made that don't seem to
be happening, meeting would be a waste of time.  I'm no more in
a position to decide whether it should meet that you are.

> You suggested that I should "write an I-D that ...".  Yes,
> well, I have. I've not submitted it _yet_, though earlier I
> did link the GH repository where I keep the source and
> rendered output.  I am, of course, willing to submit it --
> indeed, I plan to.  The thought occurred, you see, that if
> there was to be a meeting at IETF 108, then I might aim for
> it, and if not, then maybe the next one.

Ok.  And, while it is just my personal opinion and based on
several guesses (including, IIR, a quick look at the GH
repository) you need to take it to either the Internet Area or
the IRTF and not i18ndir.  That belief would be the case even if
the directorate were active and functioning as a directorate
because I would then also suggest that, with all of the
documents we should have in the pipe (many now-expired I-Ds), we
should not prioritize new network file system designs.  My
opinion might change after I studied a posted I-D, of course.
And YMMD and so might that of many others.

> Thus my question.  Mine was a simple, polite, and fair
> question -- one with a simple answer, and surely someone must
> know the answer to it: will this directorate meet "at" IETF
> 108?

Ok.  Then maybe I (and Asmus) should not have responded at all,
because only Pete and one or the other AD can make that
decision.  My note was just my opinion about whether such a
meeting would be necessary or desirable and the conditions that
might make it so.

As of now, I have seen no evidence that such a meeting is
scheduled or anticipated.

> (To be sure, my question does imply a desire that the group
> meet, but that's only implied.  If the group does not intend
> to meet, then that will be that.)
> 
> That question did not need to be non-answered the way you did.
> Nor did you have to initiate a competition over who has more
> expertise on any one matter.  If we meet, there will surely be
> plenty of time for that, if you insist on it.
 
> At any rate, the datatracker even shows that this directorate
> has two chairs; perhaps one or both might have something to
> say about the character of the group (since you questioned
> it), and/or even whether it should or will meet.  If the
> directorate will meet, I'll be sure to attend, and I hope you
> will as well.

See above and note that one of those co-chairs has been
essentially non-responsive for a few months (with a really good
reason for parts of that period) and the other indicated a
rather long time ago that he had no time to put in on this, or
other IETF, work.

So, for this decision and others, I await responses from either
the remaining co-chair, from the ADs to re-sort the leadership,
or from the ADs to manage some sort of reorganization.

best,
   john

---

From: Nico Williams <[email-masked]>
Date: Wed, 24 Jun 2020 10:13:30 -0500

On Wed, Jun 24, 2020 at 02:13:13AM -0400, John C Klensin wrote:
> hypothesis) what is actually happening; [...]

This group is too -officially!- a directorate.  If you think it doesn't
act as one, therefore it is not or should not be one, fine, ask that it
be officially downgraded to a review team, or that it be disbanded.  But
for the moment it is officially a directorate even if you don't like it
being so.

I await a response from the chairs.  If the chairs would like to test
consensus for having or not having meetings, that's great, and since we
know where you and I stand on that, maybe we can let other participants
weigh in.

Nico

PS: Oh, and in regards to IDNA updates, perhaps a meeting would help you
    sell your proposal.  I don't understand your urge to give up on IDNA
    updates without a fight when you -apparently- feel so strongly about
    it.  Sell us on it, and we might furnish the additional interest/
    energy that you need that you think is absent.

---

From: Nico Williams <[email-masked]>
Date: Wed, 24 Jun 2020 10:43:11 -0500

[...]

> the IRTF and not i18ndir.  That belief would be the case even if

I'm not so sure.  To begin with, we were asked to early-review an I-D
regarding I18N and NFSv4, and presumably we'll have to review again
later when it progresses, so the matter is germane _here_ and _now_.  We
might advise punting to IRTF -or not-, but it is certainly within our
purview to provide review and advice at this time.

(It shouldn't even be necessary that I submit an I-D to have that
thread: we have an I-D in front of us (D. Noveck's) that is a sufficient
vehicle for debate.  My submitting an I-D is probably a good idea, but
hardly required.)

> And YMMD and so might that of many others.

Your opinion is noted.  Until this group is reformed/disbanded/
whatever, I will continue to act as though it is a directorate.

> meeting would be necessary or desirable and the conditions that

It would be fair of the chairs to ask the participants if they want a
meeting.  Your saying "no" is fair.  Asmus said, essentially, "if the
time slot is convenient" -- also fair.  I'm saying "yes".  Three
responses may not be enough to determine consensus, but then, I don't
think the chairs need consensus to call a meeting.

> scheduled or anticipated.

This is correct.

> rather long time ago that he had no time to put in on this, or

Well, then the chair who indicated no-time/interest should step down or
be removed.  I'm willing to wait for the other chair.  And I'm willing
to wait to IETF 109 if that chair won't be available anytime soon (a
fair assumption given the circumstances).  I'm not in a hurry.  David
Noveck has a late 2020 milestone to aim for, but that's after IETF 109
anyways.

I am _not_ willing to agree that we de facto aren't a directorate, or
that the directorate should be disbanded, or whatever negative proposal
along those lines -- not yet.

> or from the ADs to manage some sort of reorganization.

Indeed.  I do advise against disbanding this team.  I believe your
negative outlook is unwarranted.  More leadership is required, to be
sure, and the first step is to recognize that.  Only after we have
attempted to address the lack of leadership and/or energy should we
consider abandoning the project.  Especially considering that I am
bringing some energy right now.  I'm willing to trade energy on the IDNA
matter for energy on the filesystem matter.

Nico
--

---

From: John C Klensin <[email-masked]>
Date: Wed, 24 Jun 2020 14:56:06 -0400

Nico,

With regard to both this note and its predecessor today, I am
waiting, rather than responding.  This note is only to confirm
that I have read yours.

What I am waiting for is for the remaining chair or one of the
ADs to say something definitive about a meeting and, ideally,
some of the other issues.  I am making the assumption, which I
think is justified, that, if we do not hear from any of them
about a meeting, it implies that none will occur during the week
of IETF 108.

thanks,
   john

--On Wednesday, June 24, 2020 10:43 -0500 Nico Williams
<[email-masked]> wrote:

> I'm not so sure.  To begin with, we were asked to early-review
> an I-D regarding I18N and NFSv4, and presumably we'll have to
> review again later when it progresses, so the matter is
> germane _here_ and _now_.  We might advise punting to IRTF -or
> not-, but it is certainly within our purview to provide review
> and advice at this time.
> 
> (It shouldn't even be necessary that I submit an I-D to have
> that thread: we have an I-D in front of us (D. Noveck's) that
> is a sufficient vehicle for debate.  My submitting an I-D is
> probably a good idea, but hardly required.)
> 
>> documents we should have in the pipe (many now-expired I-Ds),
>> we should not prioritize new network file system designs.  My
>> > question -- one with a simple answer, and surely someone
>> > must know the answer to it: will this directorate meet "at"
>> > IETF 108?
>> 
>> Ok.  Then maybe I (and Asmus) should not have responded at
>> all, because only Pete and one or the other AD can make that
>> meeting would be necessary or desirable and the conditions
>> that might make it so.
> 
> It would be fair of the chairs to ask the participants if they
> want a meeting.  Your saying "no" is fair.  Asmus said,
> essentially, "if the time slot is convenient" -- also fair.
> I'm saying "yes".  Three responses may not be enough to
> determine consensus, but then, I don't think the chairs need
> consensus to call a meeting.
> 
>> essentially non-responsive for a few months (with a really
>> good reason for parts of that period) and the other indicated
>> a rather long time ago that he had no time to put in on this,
>> or other IETF, work.
> 
> Well, then the chair who indicated no-time/interest should
> step down or be removed.  I'm willing to wait for the other
> chair.  And I'm willing to wait to IETF 109 if that chair
> won't be available anytime soon (a fair assumption given the
> circumstances).  I'm not in a hurry.  David Noveck has a late
> 2020 milestone to aim for, but that's after IETF 109 anyways.
> 
> I am _not_ willing to agree that we de facto aren't a
> directorate, or that the directorate should be disbanded, or
> whatever negative proposal along those lines -- not yet.
> 
>> So, for this decision and others, I await responses from
>> either the remaining co-chair, from the ADs to re-sort the
>> leadership, or from the ADs to manage some sort of
>> reorganization.
> 
> Indeed.  I do advise against disbanding this team.  I believe
> your negative outlook is unwarranted.  More leadership is
> required, to be sure, and the first step is to recognize that.
> Only after we have attempted to address the lack of leadership
> and/or energy should we consider abandoning the project.
> Especially considering that I am bringing some energy right
> now.  I'm willing to trade energy on the IDNA matter for
> energy on the filesystem matter.
> 
> Nico

---

From: Asmus Freytag <[email-masked]>
Date: Wed, 24 Jun 2020 14:27:32 -0700

All,

I'm not going to deep-end on this, but I tend to support Nico's
position in this.

A./

PS: it would not be the first time that i18n gets handled
slightly differently from other topics. There's something
about it.